#ifndef PLAY_HPP
#define PLAY_HPP

#include <Basis/Screen.hpp>
#include <Graphics/Texture.hpp>
#include <Vector/Matrix.hpp>
#include <vector>
#include "Model.hpp"
#include <Graphics/Font.hpp>
#include <sstream>

using std::vector;

#define HORIZON 18.0f

class Play : public Screen {
public:
	Play();
	virtual ~Play();
	virtual void draw();
	virtual void update(float elapsed_time);
	virtual void handle_event(SDL_Event const &event);
  float rand_in_window(bool allowNegative, float range, float offset);

  float uptime;
  int score;
  int track;

  Vector4f player_pos;
  Vector4f player_lookat;
  Vector2f player_rotation;

  Vector2f mouse_pos;
  Vector2f mouse_delta;

  Matrix<float, 4, 4> m;

  vector<Rock> rocks;

  Graphics::TextureRef rockTexture;
  Graphics::TextureRef explodedTexture;
};

void printvec(Vector3f v);
void printvec(Vector4f v);
#endif //PLAY_HPP
